// -*- c++ -*-

#ifndef _XTSCREEN_H
#define _XTSCREEN_H

#include "X11Screen.h"
#include "defs.h"

// number by which to increment availaible window handlers
const int hndIncrement = 6;

class XtkScreen : public X11Screen
{
public:
  XtkScreen(int argc, char **argv);
  virtual ~XtkScreen();
  //void StartUp();

  friend void ReadNotify(XtPointer clt, int* fd_p, XtInputId* id);

  virtual void StartTimer(int which, unsigned long milli, HandlerFunc func, void *client_data);
  virtual void StopTimer(int which);
  virtual void AddReadNotify(int fd, readNotifyFunc func, int info = 0, int q = 1);

  XtAppContext app;

private:
  XtIntervalId timerId[NB_TIMERS];		// to allow stopping timers
};

#endif // _XTSCREEN_H
